Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional
Class AbstractRootTypeDescriptor

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  BindingType, DefaultTypeDescriptor, EnumerationType

public abstract class AbstractRootTypeDescriptor
extends AbstractMetaDataEnabledFeature
implements ITypeDescriptor

Default implementation that a metadata type should strongly consider for using as it's root. This implementation allows for a class implementing ITypeDescriptor to also contain features so that it is not necessary to declare the features using the MetaDataEnabledFeatures ext-pt

Constructor Summary
`AbstractRootTypeDescriptor()`

Method Summary
`protected java.util.List` | `findMetaDataEnabledFeaturesForThisType(java.lang.Class processingFeature)` This implementation relies on the the feature implementor using a subclass of AbstractRootTypeDescriptor which implements IMetaDataEnabledFeature.
`java.util.List` | `getFeatureAdapters(java.lang.Class processingFeature)` Default implementation that will return `this` if it supports the processing feature, and all IMetaDataFeatures that also support this feature on this type.
`IType` | `getTypeExtension()`
`void` | `setTypeExtension(IType type)`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRootTypeDescriptor

    public AbstractRootTypeDescriptor()

Method Detail

### getFeatureAdapters

    public java.util.List getFeatureAdapters(java.lang.Class processingFeature)

  Default implementation that will return `this` if it supports the processing feature, and all IMetaDataFeatures that also support this feature on this type. The caller can determine which one or more of the returned processors to use.

  Specified by:
    `getFeatureAdapters` in interface `ITypeDescriptor`
  Parameters:
    `processingFeature` - class
  Returns:
    List of `IMetaDataEnabledFeature`s that support the specified featureType interface.
  See Also:
    `org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature#getFeatureAdapters(java.lang.Class)`

### findMetaDataEnabledFeaturesForThisType

    protected final java.util.List findMetaDataEnabledFeaturesForThisType(java.lang.Class processingFeature)

  This implementation relies on the the feature implementor using a subclass of AbstractRootTypeDescriptor which implements IMetaDataEnabledFeature.

  Parameters:
    `processingFeature` -
  Returns:
    list of `IMetaDataEnabledFeature`s

### getTypeExtension

    public IType getTypeExtension()

  Specified by:
    `getTypeExtension` in interface `ITypeDescriptor`
  Returns:
    IType Must not be null

### setTypeExtension

    public void setTypeExtension(IType type)

  Specified by:
    `setTypeExtension` in interface `ITypeDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD